Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha
Interface ClusterMessage

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  SessionMessage

All Known Implementing Classes:
  ClusterMessageBase, FileMessage, SessionIDMessage, SessionMessageImpl, SingleSignOnMessage, UndeployMessage

    public interface ClusterMessage

extends Serializable

Author:
  Filip Hanik

Method Summary
`Member` | `getAddress()`
`long` | `getTimestamp()`
`String` | `getUniqueId()`
`void` | `setAddress(Member member)`
`void` | `setTimestamp(long timestamp)`
`void` | `setUniqueId(String id)`

Method Detail

### getAddress

    Member getAddress()

### setAddress

    void setAddress(Member member)

### getUniqueId

    String getUniqueId()

### setUniqueId

    void setUniqueId(String id)

### getTimestamp

    long getTimestamp()

### setTimestamp

    void setTimestamp(long timestamp)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.